/**
 * \file DLgDefines.h
 * \brief ǥХå饤֥ƤΥޥإåե롣
 * \author gobi
 */

#ifndef DLGDEFINES_H_
#define DLGDEFINES_H_
/**
 * \def LOG_FORMAT_MAX_LENGTH
 * \brief ǥХåϷȥ󥰡
 *
 * ǥХå饤֥ǻѤ롣
 * \ingroup DLg
 */
#define LOG_FORMAT_MAX_LENGTH			256

/**
 * \def DLOG_LVL_DEBUG
 * \brief ǥХå٥ɽ
 *
 * DLOG_LVL_DEBUG, DLOG_LVL_INFO, DLOG_LVL_WARN, DLOG_LVL_ERROR, DLOG_LVL_FATAL
 * ȸĥǥХåϥ٥뤢롣DLgLogؿƤӽФ˻ѤޥǤ롣
 * ʲΤ褦Ѥ롣
 * \code
 * 		DLgLog(DLOG_LVL_DEBUG, "Error occurred. Errno[%d]. Error is [%s]",
 * 			errno, strerror(errno));
 * \endcode
 * \ingroup DLg
 */
#define DLOG_LVL_DEBUG					1, __FILE__, __LINE__
/**
 * \def DLOG_LVL_INFO
 * \brief ǥХå٥ɽ
 *
 * DLOG_LVL_DEBUG, DLOG_LVL_INFO, DLOG_LVL_WARN, DLOG_LVL_ERROR, DLOG_LVL_FATAL
 * ȸĥǥХåϥ٥뤢롣DLgLogؿƤӽФ˻ѤޥǤ롣
 * ʲΤ褦Ѥ롣
 * \code
 * 		DLgLog(DLOG_LVL_INFO, "Error occurred. Errno[%d]. Error is [%s]",
 * 			errno, strerror(errno));
 * \endcode
 * \ingroup DLg
 */
#define DLOG_LVL_INFO					2, __FILE__, __LINE__
/**
 * \def DLOG_LVL_WARN
 * \brief ǥХå٥ɽ
 *
 * DLOG_LVL_DEBUG, DLOG_LVL_INFO, DLOG_LVL_WARN, DLOG_LVL_ERROR, DLOG_LVL_FATAL
 * ȸĥǥХåϥ٥뤢롣DLgLogؿƤӽФ˻ѤޥǤ롣
 * ʲΤ褦Ѥ롣
 * \code
 * 		DLgLog(DLOG_LVL_WARN, "Error occurred. Errno[%d]. Error is [%s]",
 * 			errno, strerror(errno));
 * \endcode
 * \ingroup DLg
 */
#define DLOG_LVL_WARN					3, __FILE__, __LINE__
/**
 * \def DLOG_LVL_ERROR
 * \brief ǥХå٥ɽ
 *
 * DLOG_LVL_DEBUG, DLOG_LVL_INFO, DLOG_LVL_WARN, DLOG_LVL_ERROR, DLOG_LVL_FATAL
 * ȸĥǥХåϥ٥뤢롣DLgLogؿƤӽФ˻ѤޥǤ롣
 * ʲΤ褦Ѥ롣
 * \code
 * 		DLgLog(DLOG_LVL_ERROR, "Error occurred. Errno[%d]. Error is [%s]",
 * 			errno, strerror(errno));
 * \endcode
 * \ingroup DLg
 */
#define DLOG_LVL_ERROR					4, __FILE__, __LINE__
/**
 * \def DLOG_LVL_FATAL
 * \brief ǥХå٥ɽ
 *
 * DLOG_LVL_DEBUG, DLOG_LVL_INFO, DLOG_LVL_WARN, DLOG_LVL_ERROR, DLOG_LVL_FATAL
 * ȸĥǥХåϥ٥뤢롣DLgLogؿƤӽФ˻ѤޥǤ롣
 * ʲΤ褦Ѥ롣
 * \code
 * 		DLgLog(DLOG_LVL_FATAL, "Error occurred. Errno[%d]. Error is [%s]",
 * 			errno, strerror(errno));
 * \endcode
 * \ingroup DLg
 */
#define DLOG_LVL_FATAL					5, __FILE__, __LINE__

/** \def DBG_LOG_LEVEL
 * \brief ǥХå٥ꤵĶѿ̾롣
 * \ingroup DLg
 */
#define DBG_LOG_LEVEL					"DBG_LOG_LEVEL"

#endif /*DLGDEFINES_H_*/
